Home

# Library goog.gears

Function Summary
| `FakeWorkerPool_()` This class implements a fake worker pool. It has the same interface as the Gears WorkerPool object but uses an iframe and timers to emulate the async nature of the message passing.
| `getFactory() ⇒ ?Object` Returns a new Gears factory object.
| `hasFactory() ⇒ boolean` Whether we can create a Gears factory object. This does not cache the result.
| `makeSafeFileName(string originalFileName) ⇒ string` Gears only allows file names up to 64 characters, so this function shortens file names to fit in this limit. #goog.string.hashCode is used to compress the name. This also removes invalid characters.
| `tryGearsObject_() ⇒ ?Function` Attempt to create a factory by adding an object element to the DOM. This covers the case for safari.